Package org.eclipse.app4mc.amalthea.model.builder

## Class StimuliBuilder

- Object
- - StimuliBuilder

    public class StimuliBuilder
    extends Object

### Constructor Summary

Constructors
`StimuliBuilder()`

### Method Summary

All Methods
`void` `clockStepList​(StimuliModel container, Procedures.Procedure1<ClockStepList> initializer)`
`void` `periodicStimulus​(StimuliModel container, Procedures.Procedure1<PeriodicStimulus> initializer)`
`void` `variableRateStimulus​(StimuliModel container, Procedures.Procedure1<VariableRateStimulus> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StimuliBuilder

    public StimuliBuilder()

### Method Detail

#### periodicStimulus

    public void periodicStimulus​(StimuliModel container,
                                 Procedures.Procedure1<PeriodicStimulus> initializer)

#### variableRateStimulus

    public void variableRateStimulus​(StimuliModel container,
                                     Procedures.Procedure1<VariableRateStimulus> initializer)

#### clockStepList

    public void clockStepList​(StimuliModel container,
                              Procedures.Procedure1<ClockStepList> initializer)